QGIS Application - Bug report #19275
QtWebKitWidgets, QtWebKit, QWebPage not available on QGIS 3.2 for Ubuntu
2018-06-27 01:39 AM - D M

Status: Closed

Priority: High

Assignee:

Category: Python bindings / sipify

Affected QGIS version:3.2 Regression?: No
Operating System: Ubuntu 18.x -- bionic Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27103
Description

| cannot import QWebpage QWebView , QWebPage, etc in QGIS 3.2 for Ubuntu (18.x)

E.g.

from PyQt5.Qt import QWebPage
ImportError: cannot import name 'QWebPage'

| followed the standard installation instructions for Debian/Ubuntu (https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

)

Associated revisions

Revision a6527962 - 2018-06-27 10:58 PM - Jiirgen Fischer

debian packaging: add python3-pyqt5.qtwebkit (fixes #19275)

Revision 2781bc32 - 2018-06-27 11:02 PM - Jiirgen Fischer

debian packaging: add python3-pyqt5.qtwebkit (fixes #19275)

(cherry picked from commit a65279629c80ebe9d4e81ade8fb3671d29dc516e)

History

#1 - 2018-06-27 01:35 PM - Alessandro Pasotti
- Status changed from Open to Feedback

this works for me on ubuntu 16.04:

from ggis.PyQt.QtWebKitWidgets import QWebView

#2 - 2018-06-27 01:37 PM-D M
- Status changed from Feedback to Open

2025-05-18 12



https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

Can anyone try on 18.x?

#3 - 2018-06-27 04:19 PM -D M

Alessandro Pasotti wrote:

this works for me on ubuntu 16.04:

from qgis.PyQt.QtWebKitWidgets import QWebView

@Alessandro Pasotti can you please detail how you installed QGIS 3.2 on Ubuntu 16.04 so that | can recreate this? | tried myself on a new VM and |

encounter the same problem even on 16.04. | installed it from "ubuntugis® and ‘ubuntugis-unstable ppa” as detailed in the docs (
https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu).

As for 17.x and 18.x, | can confirm that using "https://qgis.org/debian’, "QtWebKit" is not available on QGIS 3.2.

If you are interested in reproducing this, below is the procedure | followed to install QGIS 3.2 on Ubuntu 18.x (for 17.x replace bionic to “artful’).

- Add “deb https://qgis.org/debian bionic main® and "deb-src https://qgis.org/debian bionic main” to /etc/apt/sources.list®

- Download and add public key to apt keyring

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-key CAEB3DC3BDF7FB45

- Update apt and install QGIS 3.2

sudo apt-get update
sudo apt-get install qgis python-qgis qgis-plugin-grass

#4 - 2018-06-27 11:01 PM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a65279629c80ebe9d4e81ade8fb3671d29dc516e.
